Commit 4635e5b6 authored by Rémi Denis-Courmont's avatar Rémi Denis-Courmont

Use automake version detection rather than a custom broken one

parent 4f539905
......@@ -31,22 +31,13 @@ header="`grep -q '^[ \t]*A._CONFIG_HEADER' $conffile && echo yes || echo no`"
# Check for automake
amvers="no"
for v in "-1.10" "110" "-1.9" "19" "-1.8" "18" "-1.7" "17" "-1.6" "16" "-1.5" "15"; do
for v in "-1.10" "110" "-1.9" "19" "-1.8" "18" "-1.7" "17" "-1.6" "16" "-1.5" "15" ""; do
if automake${v} --version >/dev/null 2>&1; then
amvers="${v}"
break
fi
done
if test "${amvers}" = "no" && automake --version > /dev/null 2>&1; then
amvers="`automake --version | sed -e '1s/[^0-9]*//' -e q`"
if expr "$amvers" "<" "1.5" > /dev/null 2>&1; then
amvers="no"
else
amvers=""
fi
fi
if test "$amvers" = "no"; then
echo "$0: you need automake version 1.5 or later"
exit 1
......
dnl Process this file with autoconf to produce a configure script.
AC_PREREQ(2.54)
AC_INIT
AC_INIT([mpeg2dec],[0.5.0-cvs],[])
AC_CONFIG_SRCDIR([src/mpeg2dec.c])
AC_CONFIG_AUX_DIR(autotools)
AC_CONFIG_FILES([Makefile include/Makefile test/Makefile
doc/Makefile src/Makefile libmpeg2/Makefile libmpeg2/convert/Makefile
libvo/Makefile vc++/Makefile
libmpeg2/libmpeg2.pc libmpeg2/convert/libmpeg2convert.pc])
AM_INIT_AUTOMAKE([mpeg2dec],[0.5.0-cvs])
AC_CONFIG_HEADERS([include/config.h])
AM_MAINTAINER_MODE
AC_CANONICAL_HOST
AM_INIT_AUTOMAKE([1.5 -Wall foreign])
AM_MAINTAINER_MODE
dnl Checks for compiler
AC_PROG_CC
AC_PROG_GCC_TRADITIONAL
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment